unit FormMain;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, Menus, Helios_Roq, StdCtrls, ComCtrls;

type
  TFrmMain = class(TForm)
    MainMenu1: TMainMenu;
    File1: TMenuItem;
    Open1: TMenuItem;
    N1: TMenuItem;
    Exit1: TMenuItem;
    Panel1: TPanel;
    Image1: TImage;
    Timer1: TTimer;
    OpenDialog: TOpenDialog;
    Panel2: TPanel;
    RichEdit1: TRichEdit;
    StatusBar1: TStatusBar;
    procedure Exit1Click(Sender: TObject);
    procedure Open1Click(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    Roq_File : TRoq_Info;
  end;

var
  FrmMain: TFrmMain;

implementation

{$R *.dfm}

procedure TFrmMain.Exit1Click(Sender: TObject);
begin
Close;
end;

procedure TFrmMain.Open1Click(Sender: TObject);
begin

If OpenDialog.Execute then
begin
StatusBar1.Panels[0].Text := 'Loading Please Wait...';
StatusBar1.Refresh;
Roq_File := roq_open(pchar(OpenDialog.filename))^;

Richedit1.Clear;
Richedit1.Lines.Add('--- Roq Info ---');
Richedit1.Lines.Add('Width: ' + inttostr(Roq_File.width));
Richedit1.Lines.Add('Height: ' + inttostr(Roq_File.height));
Richedit1.Lines.Add('Frames: ' + inttostr(Roq_File.num_frames));
Roq_File.frame_num := 0;

Timer1.Enabled := True;
end;

end;

procedure TFrmMain.Timer1Timer(Sender: TObject);
begin
If roq_read_frame(roq_file) <= 0 then
begin
Timer1.Enabled := False;
Showmessage('End');
exit;
end;
Image1.Picture.Bitmap.Assign(Display_Roq(roq_file.y[0], roq_file.u[0], roq_file.v[0], roq_file.width, roq_file.height));
StatusBar1.Panels[0].Text := 'Frame: ' + inttostr(Roq_File.frame_num);
end;

end.
